Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging
Class Endpoint

    java.lang.Object
      com.sun.messaging.AdministeredObject
          com.sun.messaging.Endpoint

All Implemented Interfaces:
  Referenceable, Serializable

public class Endpoint
extends AdministeredObject
implements Referenceable

The Sun MQ Endpoint class encapsulates SOAP message endpoints when using Sun MQ as facilitated by the Java API for XML Messaging.

See Also:
  `com.sun.messaging.EndpointConfiguration`, Serialized Form

Field Summary

Fields inherited from class com.sun.messaging.AdministeredObject
`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

Constructor Summary
`Endpoint()`
`Endpoint(String name)` Constructs an Endpoint given the name

Method Summary
`Reference` | `getReference()` Returns a Reference Object that can be used to reconstruct this object.
`void` | `setDefaultConfiguration()` Sets the minimum `Endpoint` configuration defaults required of an Endpoint identity object.
`String` | `toString()` Returns the String representation of this `Endpoint` object

Methods inherited from class com.sun.messaging.AdministeredObject
`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Endpoint

    public Endpoint()

### Endpoint

    public Endpoint(String name)

  Constructs an Endpoint given the name

Parameters:
  `name` - The name of the Endpoint

Method Detail

### toString

    public String toString()

  Returns the String representation of this `Endpoint` object

  Overrides:
    `toString` in class `AdministeredObject`
  Returns:
    the string representing the endpoint

### getReference

    public Reference getReference()

  Returns a Reference Object that can be used to reconstruct this object.

  Specified by:
    `getReference` in interface `Referenceable`
  Returns:
    The Reference Object that can be used to reconstruct this object

### setDefaultConfiguration

    public void setDefaultConfiguration()

  Sets the minimum `Endpoint` configuration defaults required of an Endpoint identity object.

  Specified by:
    `setDefaultConfiguration` in class `AdministeredObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.